---
title: XRInputSourcesChangeEvent.session
slug: Web/API/XRInputSourcesChangeEvent/session
tags:
  - API
  - AR
  - Input Sources
  - Inputs
  - Mixed
  - Property
  - Read-only
  - Reality
  - Reference
  - Session
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRInputSourcesChangeEvent
  - augmented
---
<p>{{APIRef("WebXR Device API")}} {{SecureContext_Header}}</p>

<p><span class="seoSummary">The {{domxref("XRInputSourcesChangeEvent")}} property {{domxref("XRInputSourcesChangeEvent.session", "session")}} specifies the {{domxref("XRSession")}} to which the input source list change event applies.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>inputsSession</em> = <em>xrInputSourcesChangeEvent</em>.session;
</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("XRSession")}} indicating the WebXR session to which the input source list change applies.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dom-xrinputsourceschangeevent-session","XRInputSourcesChangeEvent.session")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRInputSourcesChangeEvent.session")}}</div>
